Index: trunk/lib/FlairCore/src/GeoCoordinate.h
===================================================================
--- trunk/lib/FlairCore/src/GeoCoordinate.h	(revision 2)
+++ trunk/lib/FlairCore/src/GeoCoordinate.h	(revision 15)
@@ -15,94 +15,99 @@
 #include <io_data.h>
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    /*! \class GeoCoordinate
-    *
-    * \brief Class defining a point by its lla coordinates
-    */
-    class GeoCoordinate: public io_data {
-        public:
-            class Type: public DataType {
-            public:
-                size_t GetSize() const {
-                    return sizeof(latitude)+sizeof(longitude)+sizeof(altitude);
-                }
-                std::string GetDescription() const {return "lla";}
-            };
+/*! \class GeoCoordinate
+*
+* \brief Class defining a point by its lla coordinates
+*/
+class GeoCoordinate : public io_data {
+public:
+  class Type : public DataType {
+  public:
+    size_t GetSize() const {
+      return sizeof(latitude) + sizeof(longitude) + sizeof(altitude);
+    }
+    std::string GetDescription() const { return "lla"; }
+  };
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct GeoCoordinate using values from another class.
-            *
-            * \param parent parent
-            * \param name name
-            * \param point class to copy
-            * \param n number of samples
-            */
-            GeoCoordinate(const Object* parent,std::string name,const GeoCoordinate *point,int n=1);
+  /*!
+  * \brief Constructor
+  *
+  * Construct GeoCoordinate using values from another class.
+  *
+  * \param parent parent
+  * \param name name
+  * \param point class to copy
+  * \param n number of samples
+  */
+  GeoCoordinate(const Object *parent, std::string name,
+                const GeoCoordinate *point, int n = 1);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct GeoCoordinate using specified values.
-            *
-            * \param parent parent
-            * \param name name
-            * \param latitude latitude
-            * \param longitude longitude
-            * \param altitude altitude
-            * \param n number of samples
-            */
-            GeoCoordinate(const Object* parent,std::string name,double latitude,double longitude,double altitude,int n=1);
+  /*!
+  * \brief Constructor
+  *
+  * Construct GeoCoordinate using specified values.
+  *
+  * \param parent parent
+  * \param name name
+  * \param latitude latitude
+  * \param longitude longitude
+  * \param altitude altitude
+  * \param n number of samples
+  */
+  GeoCoordinate(const Object *parent, std::string name, double latitude,
+                double longitude, double altitude, int n = 1);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~GeoCoordinate();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~GeoCoordinate();
 
-            /*!
-            * \brief Copy
-            *
-            * \param point class to copy
-            */
-            void CopyFrom(const GeoCoordinate *point);
+  /*!
+  * \brief Copy
+  *
+  * \param point class to copy
+  */
+  void CopyFrom(const GeoCoordinate *point);
 
-            /*!
-            * \brief Set coordinates
-            *
-            * \param latitude latitude
-            * \param longitude longitude
-            * \param altitude altitude
-            */
-            void SetCoordinates(double latitude,double longitude,double altitude);
+  /*!
+  * \brief Set coordinates
+  *
+  * \param latitude latitude
+  * \param longitude longitude
+  * \param altitude altitude
+  */
+  void SetCoordinates(double latitude, double longitude, double altitude);
 
-            /*!
-            * \brief Get coordinates
-            *
-            * \param latitude latitude
-            * \param longitude longitude
-            * \param altitude altitude
-            */
-            void GetCoordinates(double *latitude,double *longitude,double *altitude) const;
+  /*!
+  * \brief Get coordinates
+  *
+  * \param latitude latitude
+  * \param longitude longitude
+  * \param altitude altitude
+  */
+  void GetCoordinates(double *latitude, double *longitude,
+                      double *altitude) const;
 
-            Type const &GetDataType() const {return dataType;}
-        private:
-            /*!
-            * \brief Copy datas
-            *
-            * Reimplemented from io_data. \n
-            * See io_data::CopyDatas.
-            *
-            * \param dst destination buffer
-            */
-            void CopyDatas(char* ptr) const;
+  Type const &GetDataType() const { return dataType; }
 
-            double latitude;
-            double longitude;
-            double altitude;
-            Type dataType;
-    };
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *ptr) const;
+
+  double latitude;
+  double longitude;
+  double altitude;
+  Type dataType;
+};
 
 } // end namespace core
